#!/bin/bash

set -euo pipefail

tarball="$1"

sudo vmdb2 bullseye-vm.vmdb \
	--output bullseye-vm.img \
	--log bullseye-vm.log \
	--rootfs-tarball "$tarball" \
	--verbose

qemu-img convert -f raw -O qcow2 bullseye-vm.img bullseye-vm.qcow2
